1. Management API
GY Docs
  • Documentation
  • Authentication API
    • Login
      POST
    • Sign Up
      POST
    • Google Authentication
      GET
  • Users API
    • List Users
      GET
    • List Users (Public)
      GET
    • Remove User
      DELETE
    • Get User Profile
      GET
    • Set Profile
      PUT
    • Get Username
      GET
    • Update Username
      PATCH
    • Get Email
      GET
    • Get Picture
      GET
    • Update Picture
      PATCH
    • Get Phone Number
      GET
    • Update Phone Number
      PATCH
    • Update Password
      PATCH
    • Get Metadata
      GET
    • Refresh API Key
      PATCH
  • Management API
    • List Users
      GET
    • Set Profile
      PUT
    • Remove User
      DELETE
    • Get Full Metadata
      GET
GY Accounts
GY BooksHeralds of Chaos
GY Accounts
GY BooksHeralds of Chaos
  1. Management API

Get Full Metadata

GET
https://api.gycoding.com/accounts/management/user/{profileId}/metadata
Retrieves current user metadata, not only from GY Accounts, but an aggregation of the projects.

Request

Path Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.gycoding.com/accounts/management/user//metadata' \
--header 'Authorization;'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "profile": {
        "username": "string",
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "phoneNumber": "string",
        "roles": [
            "COMMON"
        ],
        "picture": "http://example.com",
        "email": "user@example.com",
        "apiKey": "string"
    }
}
🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
🟠404Not Found
🟠405Method Not Allowed
🔴500Internal Error
Previous
Remove User
Built with